curl --request PUT \
--url https://apiv2.example.com/customers/{customerId} \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"contact": {
"email": "newemail@example.com",
"msisdn": "+15559876543"
}
}
'{
"customerId": "<string>",
"customerType": "CONSUMER",
"name": "<string>",
"contact": {
"email": "jsmith@example.com",
"msisdn": "<string>"
},
"identity": "<string>",
"preferredLocale": "en-US",
"humanReadableId": "29A-BY3Z-X78",
"referenceId": "crm-customer-12345",
"billing": {
"method": "E_INVOICE",
"currency": "USD",
"email": "billing@company.com",
"address": {
"street1": "500 S Main St",
"city": "Natick",
"zip": "01701",
"country": "US",
"street2": "Apt 1",
"state": "CA",
"region": "<string>",
"attention": "<string>"
},
"defaultPaymentProfileId": "c1d2e3f4-a5b6-7890-1234-901234567890",
"autoPay": true
},
"users": [
{
"userId": "<string>",
"name": "<string>",
"role": "MEMBER"
}
],
"contactPerson": {
"userId": "<string>",
"name": "<string>",
"role": "MEMBER"
},
"shipping": {
"name": "John Doe",
"address": {
"street1": "500 S Main St",
"city": "Natick",
"zip": "01701",
"country": "US",
"street2": "Apt 1",
"state": "CA",
"region": "<string>",
"attention": "<string>"
},
"msisdn": "+15551234567",
"instructions": "Leave at front door"
},
"metadata": {}
}{
"message": "<string>",
"code": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"suggestion": "<string>"
}
],
"hint": "<string>"
}{
"message": "<string>",
"code": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"suggestion": "<string>"
}
],
"hint": "<string>"
}{
"message": "<string>",
"code": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"suggestion": "<string>"
}
],
"hint": "<string>"
}{
"message": "<string>",
"code": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"suggestion": "<string>"
}
],
"hint": "<string>"
}{
"message": "<string>",
"code": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"suggestion": "<string>"
}
],
"hint": "<string>"
}{
"message": "<string>",
"code": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"suggestion": "<string>"
}
],
"hint": "<string>"
}Update customer
Update an existing customer.
curl --request PUT \
--url https://apiv2.example.com/customers/{customerId} \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"contact": {
"email": "newemail@example.com",
"msisdn": "+15559876543"
}
}
'{
"customerId": "<string>",
"customerType": "CONSUMER",
"name": "<string>",
"contact": {
"email": "jsmith@example.com",
"msisdn": "<string>"
},
"identity": "<string>",
"preferredLocale": "en-US",
"humanReadableId": "29A-BY3Z-X78",
"referenceId": "crm-customer-12345",
"billing": {
"method": "E_INVOICE",
"currency": "USD",
"email": "billing@company.com",
"address": {
"street1": "500 S Main St",
"city": "Natick",
"zip": "01701",
"country": "US",
"street2": "Apt 1",
"state": "CA",
"region": "<string>",
"attention": "<string>"
},
"defaultPaymentProfileId": "c1d2e3f4-a5b6-7890-1234-901234567890",
"autoPay": true
},
"users": [
{
"userId": "<string>",
"name": "<string>",
"role": "MEMBER"
}
],
"contactPerson": {
"userId": "<string>",
"name": "<string>",
"role": "MEMBER"
},
"shipping": {
"name": "John Doe",
"address": {
"street1": "500 S Main St",
"city": "Natick",
"zip": "01701",
"country": "US",
"street2": "Apt 1",
"state": "CA",
"region": "<string>",
"attention": "<string>"
},
"msisdn": "+15551234567",
"instructions": "Leave at front door"
},
"metadata": {}
}{
"message": "<string>",
"code": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"suggestion": "<string>"
}
],
"hint": "<string>"
}{
"message": "<string>",
"code": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"suggestion": "<string>"
}
],
"hint": "<string>"
}{
"message": "<string>",
"code": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"suggestion": "<string>"
}
],
"hint": "<string>"
}{
"message": "<string>",
"code": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"suggestion": "<string>"
}
],
"hint": "<string>"
}{
"message": "<string>",
"code": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"suggestion": "<string>"
}
],
"hint": "<string>"
}{
"message": "<string>",
"code": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"suggestion": "<string>"
}
],
"hint": "<string>"
}Authorizations
An API key that grants access to the Connect API. You can create and manage API keys in the portal.
Headers
A unique key to ensure idempotency of requests. If a request with the same key has already been processed, the same result will be returned. The key must be unique for each distinct operation. Keys are expired after 24 hours, but we recommend using a new key for each request.
Modified requests with the same idempotency keys are rejected with a 409 Conflict status code.
256Path Parameters
The unique identifier of the customer. May be the entity's internal UUID or an external reference identifier.
Reference identifiers MUST be prefixed with rid_ (e.g., rid_crm-customer-12345) so the API
can distinguish them from internal UUIDs. The prefix is stripped before lookup.
Body
Request to update a customer.
Name of the customer.
"John Doe"
The identity of the entity, such as personal number, organization number, etc., depending on the country, entity, and customer type.
The preferred locale for the customer, in IETF BCP 47 format (e.g., "en-US", "sv-SE").
"en-US"
Contact details for the customer.
Show child attributes
Show child attributes
Billing details for the customer.
Show child attributes
Show child attributes
List of user IDs to associate with this customer.
Depending on the user's role they will either be a member of the customer or given access to manage it.
The shipping address for the customer.
This address is used for shipping physical goods to the customer, such as SIM cards or devices. It is also used to pre-fill the address when ordering physical goods.
Show child attributes
Show child attributes
A set of key-value pairs that can be attached to an object for storing additional information in a semi-structured format.
Show child attributes
Show child attributes
Response
Customer updated successfully.
A customer is a billable entity, the person or organization responsible for paying for services.
The customer is the owner of subscribers and subscriptions. Users are associated with a customer, but are not owned by the customer.
Unique identifier for the customer.
The type of customer.
CONSUMER, BUSINESS Name of the customer.
Contact details for the customer.
Show child attributes
Show child attributes
The identity of the entity, such as personal number, organization number, etc., depending on the country, entity, and customer type.
The preferred locale for the customer, in IETF BCP 47 format (e.g., "en-US", "sv-SE").
"en-US"
A human-readable identifier for the customer that customers can state in support requests.
"29A-BY3Z-X78"
A reference identifier provided by API clients to identify this customer in their own systems. Must be unique per tenant. Use this field to look up customers or to create/retrieve customers during order creation.
255"crm-customer-12345"
Billing configuration and payment preferences for the customer.
Show child attributes
Show child attributes
List of users associated with this customer.
Show child attributes
Show child attributes
The primary contact person for the customer.
Show child attributes
Show child attributes
The shipping address for the customer.
This address is used for shipping physical goods to the customer, such as SIM cards or devices. It is also used to pre-fill the address when ordering physical goods.
Show child attributes
Show child attributes
A set of key-value pairs that can be attached to an object for storing additional information in a semi-structured format.
Show child attributes
Show child attributes